wxDCOverlay(3)

NAME
wxDCOverlay - Connects an overlay with a drawing DC.

DESCRIPTION

See:

    • wxOverlay

    • wxDC

wxWidgets docs: wxDCOverlay

DATA TYPES

wxDCOverlay() :: wx:wx_object().

FUNCTIONS

clear(This) -> ok when This :: wxDCOverlay().

    Clears the layer, restoring the state at the last init.
destroy(This :: wxDCOverlay()) -> ok.

    Destroys the object
new(Overlay, Dc) -> wxDCOverlay() when Overlay :: wxOverlay:wxOverlay(), Dc :: wxDC:wxDC().

    Convenience wrapper that behaves the same using the entire area of the dc.
new(Overlay, Dc, X, Y, Width, Height) -> wxDCOverlay() when Overlay :: wxOverlay:wxOverlay(), Dc :: wxDC:wxDC(), X :: integer(), Y :: integer(), Width :: integer(), Height :: integer().

    Connects this overlay to the corresponding drawing dc, if the overlay is not initialized yet this call will do so.